import BASE_URL from '../url';
import { RouteObject } from './types';

const ADMIN_URL = BASE_URL.ADMIN;

const Admin: RouteObject = {
  main: [
    {
      name: 'Home',
      route: ADMIN_URL.ROOT_PAGE_HOME,
      lang: 'frontend.global.property.routehome',
      component: import('@Components/Pages/Home'),
      exact: false,
      subRoute: [
        {
          name: 'Home',
          route: `${ADMIN_URL.PAGE_HOME_OVERVIEW}`,
          lang: '',
          component: import('@Components/Pages/Home'),
          exact: false,
          subRoute: [],
          avatar: '',
          avatarActive: '',
        },
      ],
      avatar: '',
      avatarActive: '',
    },
  ],
};

export default Admin;
