import BASE_URL from '../url';
import { RouteObject } from './types';

const GUEST_URL = BASE_URL.GUEST;

const Guest: RouteObject = {
  registration: [
    {
      name: 'SignIn',
      route: `${GUEST_URL.BASE_PAGE_SIGN_IN}`,
      component: import('@Components/Pages/SignIn'),
      exact: false,
      subRoute: [],
      avatar: '',
      avatarActive: '',
    },
    {
      name: 'OAuth',
      route: `${GUEST_URL.BASE_PAGE_OAUTH}`,
      component: import('@Components/Pages/OAuth'),
      exact: false,
      subRoute: [],
      avatar: '',
      avatarActive: '',
    },
  ],
};

export default Guest;
