import React, { memo } from 'react';
import classNames from 'classnames';
import { loadImage } from '@Tools/image-loader';
import Styles from './index.module.css';

function GifLoader(): React.ReactElement {
  /* Main */
  return (
    <div className={classNames(Styles.gifLoaderContainer)}>
      <img className={classNames(Styles.gifLoaderStyle)} alt="dipp-gif-loading" src={loadImage('loading.svg')} />
    </div>
  );
}

export default memo(GifLoader);
