export interface Pager {
  page: number;
  count: number;
  total: number;
}
export interface TimeStamp {
  createdAt: string;
  updatedAt: string;
}
export interface Range {
  max: number;
  min: number;
}
export interface Condition {
  page: number;
}
export interface Attachment {
  id: string;
  name: string;
  file?: File;
  old?: boolean;
}
export interface AttachmentInDB {
  path: string;
  filename: string;
  url: string;
  file?: File;
  old?: boolean;
}
export interface ValidFileFormat {
  type: string;
  display: string;
}
export interface APIError {
  message: string;
  code: number;
  errorStack: string;
  errorMessage: string;
}
export type Status = '建立通知' | '不通知' | '重複' | '不適用' | '未查看' | '已查看';
