import Global from '@Models/Redux/Global';
import Message from '@Models/Redux/Message';
import User from '@Models/Redux/User';
import { MiddleWare } from '../_initializeMiddleware/types';
import { StoreState } from '../_InitializeStore/types';

function createInitial(middleWare: MiddleWare): StoreState {
  return {
    global: new Global(middleWare),
    message: new Message(),
    user: new User(),
  };
}

export default createInitial;
