import { Store } from 'redux';
import { MiddleWare } from '@Reducers/_initializeMiddleware/types';
import { GlobalState } from '../global/types';
import { MessageState } from '../message/types';
import { UserState } from '../user/types';

export interface StoreState {
  global: GlobalState;
  message: MessageState;
  user: UserState;
}

export interface CreateStoreParams {
  initialState: StoreState;
  initialMiddleWare: MiddleWare;
}

export type GetState = Store<StoreState>['getState'];
