import { HeaderContent } from './types';

class Header {
  public header: HeaderContent;

  constructor() {
    this.header = {};
  }

  updateToken(token: string): void {
    this.header = {
      ...this.header,
      Authorization: `Bearer ${token}`,
    };
  }

  removeToken(): void {
    if ('Authorization' in this.header) {
      delete this.header.Authorization;
    }
  }
}

export default Header;
