import API from '@API/index';
import Env from '@Env/index';
import { MiddleWare } from './types';

function createMiddleware(): MiddleWare {
  const ENVInstance = new Env();
  const APIInstance = new API({ host: ENVInstance.HostApiUrl });
  return {
    env: ENVInstance,
    api: APIInstance,
  };
}

export default createMiddleware;
